Log4JLogChute (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.Log4JLogChute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class Log4JLogChute

    java.lang.Object
      org.apache.velocity.runtime.log.Log4JLogChute

All Implemented Interfaces:
  LogChute

Direct Known Subclasses:
  Log4JLogSystem

public class Log4JLogChute
extends Object
implements LogChute

Implementation of a simple log4j system that will either latch onto an existing category, or just do a simple rolling file log.

Since:
  Velocity 1.5, 1.5
Version:
  $Id: Log4JLogChute.java 730039 2008-12-30 03:53:19Z byron $
Author:
  Daniel L. Rall,

  Field Summary
  `protected Logger` | `logger` Log4J logging API.
  `static String` | `RUNTIME_LOG_LOG4J_LOGGER`
  `static String` | `RUNTIME_LOG_LOG4J_LOGGER_LEVEL`

  Fields inherited from interface org.apache.velocity.runtime.log.LogChute
  `DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

  Constructor Summary
  `Log4JLogChute()`

  Method Summary
  `protected void` | `finalize()` Also do a shutdown if the object is destroy()'d.
  `void` | `init(RuntimeServices rs)` Initializes this LogChute.
  `boolean` | `isLevelEnabled(int level)` Tell whether or not a log level is enabled.
  `void` | `log(int level, String message)` logs messages
  `void` | `log(int level, String message, Throwable t)` Send a log message from Velocity along with an exception or error
  `void` | `shutdown()` Close all destinations

  Methods inherited from class java.lang.Object
  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### RUNTIME_LOG_LOG4J_LOGGER

      public static final String RUNTIME_LOG_LOG4J_LOGGER

  See Also:
    Constant Field Values

  ### RUNTIME_LOG_LOG4J_LOGGER_LEVEL

      public static final String RUNTIME_LOG_LOG4J_LOGGER_LEVEL

  See Also:
    Constant Field Values

  ### logger

      protected Logger logger

    Log4J logging API.

  Constructor Detail

  ### Log4JLogChute

      public Log4JLogChute()

  Method Detail

  ### init

      public void init(RuntimeServices rs)
                throws Exception

    Description copied from interface: `LogChute`
    Initializes this LogChute.

    Specified by:
      `init` in interface `LogChute`
    Parameters:
      `rs` -
    Throws:
      `Exception`
    See Also:
      `LogChute.init(org.apache.velocity.runtime.RuntimeServices)`

  ### log

      public void log(int level,
                      String message)

    logs messages

    Specified by:
      `log` in interface `LogChute`
    Parameters:
      `level` - severity level
      `message` - complete error message

  ### log

      public void log(int level,
                      String message,
                      Throwable t)

    Description copied from interface: `LogChute`
    Send a log message from Velocity along with an exception or error

    Specified by:
      `log` in interface `LogChute`
    Parameters:
      `level` -
      `message` -
      `t` -
    See Also:
      `LogChute.log(int, java.lang.String, java.lang.Throwable)`

  ### isLevelEnabled

      public boolean isLevelEnabled(int level)

    Description copied from interface: `LogChute`
    Tell whether or not a log level is enabled.

    Specified by:
      `isLevelEnabled` in interface `LogChute`
    Parameters:
      `level` -
    Returns:
      True if a level is enabled.
    See Also:
      `LogChute.isLevelEnabled(int)`

  ### finalize

      protected void finalize()
                       throws Throwable

    Also do a shutdown if the object is destroy()'d.

    Throws:
      `Throwable`

  ### shutdown

      public void shutdown()

    Close all destinations

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.